ChartDirector Ver 5.0 (PHP Edition)

XYChart.addInterLineLayer

Usage

addInterLineLayer(line1, line2, color12 [, color21 ])

Description

Adds an inter-line layer the XYChart. An inter-line layer is used to fill the region between any two lines (straight lines, spline curves, step lines, etc).
This method expects two "line" objects representing the two lines. The line objects can be obtained using LineLayer.getLine (inherited by SplineLayer and StepLineLayer), TrendLayer.getLine, and Mark.getLine.

Arguments

Argument | Default | Description
--- | --- | ---
line1 | (Mandatory) | An opaque line object representing the first line.
line2 | (Mandatory) | An opaque line object representing the second line.
color12 | (Mandatory) | The color used to fill the region of the lines when line1 > line2.
color21 | -1 | The color used to fill the region of the lines when line2 > line1. -1 means this color is the same as color12.

Return Value

An InterLineLayer object representing the inter-line layer created.

© 2009 Advanced Software Engineering Limited. All rights reserved.